/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import javax.validation.constraints.NotNull;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectContentData;

/**
 * 认价管理Entity
 * @author ssrh
 * @version 2018-06-06
 */
public class WorkContentPricemanage extends DataEntity<WorkContentPricemanage> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private ProjectContentData contract;		// 合同ID
	private String priceType;		// 认价类型
	private Date priceDate;		// 认价时间
	private String scope;		// 认价范围
	private String explain;		// 使用说明
	
	public WorkContentPricemanage() {
		super();
	}

	public WorkContentPricemanage(String id){
		super(id);
	}

	@ExcelField(title="项目id", align=2, sort=7)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	@ExcelField(title="工作内容ID", align=2, sort=8)
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	
	@ExcelField(title="认价类型", dictType="", align=2, sort=10)
	public String getPriceType() {
		return priceType;
	}

	public void setPriceType(String priceType) {
		this.priceType = priceType;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@NotNull(message="认价时间不能为空")
	@ExcelField(title="认价时间", align=2, sort=11)
	public Date getPriceDate() {
		return priceDate;
	}

	public void setPriceDate(Date priceDate) {
		this.priceDate = priceDate;
	}
	
	@ExcelField(title="认价范围", align=2, sort=12)
	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}
	
	@ExcelField(title="使用说明", align=2, sort=13)
	public String getExplain() {
		return explain;
	}

	public void setExplain(String explain) {
		this.explain = explain;
	}

    public ProjectContentData getContract() {
        return contract;
    }

    public void setContract(ProjectContentData contract) {
        this.contract = contract;
    }
}